#include "zepto_arg.h"
#define LENGTH 5000
int main (int argc, char *argv[])
{
        char sequence[LENGTH + 1];
	char structure[LENGTH + 1];
        long seed;
	int seq_num;
	float energy;
	char debug = *argv[1];

	for (seq_num = 2; seq_num < argc; seq_num++) {
		strncpy(sequence, argv[seq_num], LENGTH);
		sequence[LENGTH] = '\0';
		strcpy(structure, sequence);

		initialize_fold(strlen(sequence));
		energy = fold(sequence, structure);	

		if (debug == 'y') {
	        	printf("%15ld %s\n", seed, sequence);
			printf("%15f %s\n", energy, structure);
		} else {
			printf("%s\n", structure);
		}
	
		free_arrays();
	}
        return 0;
}

